---
search:
  tags:
    - DAM V2
    - PATCH
seo:
  description: >-
    Bulk-patches image metadata. Successful entities are… Reference for the
    PATCH /api/v2/{team_slug}/{app_slug}/dam/images endpoint in the Management
    API.
sidebar:
  label: Patch images
  badge: PATCH
title: Patch images
type: openapi-operation
---
Bulk-patches image metadata. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/dam/images`

**Request body** (`application/json`, required)

- `images` (PatchImageItem[], required)

Request body example:

```json
{
  "images": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "alt": "string",
      "copyright": "string",
      "status": "active",
      "custom": {
        "property1": "string",
        "property2": "string"
      },
      "filename": "string",
      "parent_id": "string",
      "public": true
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "url": "string",
      "filename": "string",
      "title": "string",
      "alt": "string",
      "copyright": "string",
      "status": "string",
      "public": true,
      "created_with_ai": true,
      "blurhash": "string",
      "custom": {
        "property1": "string",
        "property2": "string"
      },
      "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "translations": {
        "title": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "alt": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ],
        "copyright": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "attributes": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "template_key": "string",
          "template_name": "string",
          "name": "string",
          "description": "string",
          "filterable": true,
          "translatable": true,
          "values": {
            "property1": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "field_id": "e68e30b1-d177-4632-b748-463bcd0eedc6",
              "value": "string",
              "type": "string",
              "image_id": "84c230fd-5520-4984-8119-37365b66fd80",
              "translation": {
                "value": [
                  {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              }
            },
            "property2": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "field_id": "e68e30b1-d177-4632-b748-463bcd0eedc6",
              "value": "string",
              "type": "string",
              "image_id": "84c230fd-5520-4984-8119-37365b66fd80",
              "translation": {
                "value": [
                  {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              }
            }
          },
          "translations": {
            "name": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ],
            "description": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "variants": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "url": "string",
          "filename": "string",
          "title": "string",
          "alt": "string",
          "copyright": "string",
          "status": "string",
          "public": true,
          "created_with_ai": true,
          "blurhash": "string",
          "custom": {
            "property1": "string",
            "property2": "string"
          },
          "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901",
          "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "used_by": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "type": "string",
          "priority": 0,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "filename": "string",
      "message": "string"
    }
  ]
}
```
